//+------------------------------------------------------------------+
//|                                                     RSI_LiDo.mq4 |
//|                       Copyright ?2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//| original "RSI_dot" concept by Accrete, and nicely tweaked by     |
//| telsa of ForexFactory fame !! Many thanks telsa...Accrete        |
//+------------------------------------------------------------------+
#property copyright "Copyright ?2004, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100
#property indicator_buffers 6

#property indicator_color1  CLR_NONE   //clrDodgerBlue
#property indicator_width1  1

#property indicator_color2  clrDimGray
#property indicator_width2  3

#property indicator_level3  65 
#property indicator_level4  55
#property indicator_level5  45
#property indicator_level6  35

//---- input parameters
extern int RSIPeriod = 14;

//---- buffers
double dRsiLine[];
double dRsiDots[];

int init() {

    IndicatorShortName("RSI LiDo (" + RSIPeriod + ")");
    
    SetIndexBuffer(0,dRsiLine);
    SetIndexStyle (0,DRAW_LINE);
    SetIndexLabel (0,"RSI");
    
    SetIndexBuffer(1,dRsiDots);
    SetIndexStyle (1,DRAW_ARROW);
    SetIndexArrow (1,159);
    SetIndexLabel (1,"RSI");

    return(0);
}

int start() {

    // Determine how far back to iterate
    int iBarsToCalc = Bars - IndicatorCounted();
    if (iBarsToCalc < Bars) iBarsToCalc++;

    for (int i=iBarsToCalc-1;i>=0;i--) {
        dRsiLine[i] = iRSI(NULL,0,RSIPeriod,PRICE_CLOSE,i);
        dRsiDots[i] = dRsiLine[i];
    }
}
//__________________

 //Will Code For Pips